html, body {
    height: 100%;
    width: 100%;
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    font-size: 16px;

    @media (max-width: 1024px) {
        font-size: 26px;
    }

    @media (max-width: 820px) {
        font-size: 20px;
    }

    @media (max-width: 768px) {
        font-size: 18px;
    }

    @media (max-width: 480px) {
        font-size: 13px;
    }
}

.main {
    width: 100vw;
}

.bgimg {
    width: 100%;
    height: auto;
    position: relative;
}

.bgimg img {
    width: 100%;
    height: auto;
    display: block;
    margin: 0;
    padding: 0;
}

.bgimg .a-btn {
    width: 150px;
    height: 40px;
    display: block;
    position: absolute;
    top: 60px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1;
    opacity: 0;
}

.form {
    background-color: #FFF4E6;
    padding: 32px 17px 22px;
    /* overflow: hidden; */
}

.grid-box {
    display: grid;
    grid-template-columns: 1fr;
    grid-gap: 15px;
    margin: 0 auto;
    padding: 0;
}

.grid-box .grid-item {
    width: 95%;
    min-height: 40.5px;
    background-color: #fff;
    border-radius: 10.5px;
    display: grid;
    grid-template-columns: repeat(auto-fit, max(1fr));
    grid-template-rows: auto, max(1rem);
    align-content: center;
}

.grid-box .grid-small {
    font-size: 12px;
    color: #333;
    display: flex;
    justify-content: center;
    align-items: center;
}

.grid-box .grid-small input[type="checkbox"] {
    margin-right: 5px;
}

.grid-box .grid-btn {
    width: 310px;
    height: 51.5px;
    margin: 0 auto;
}

.grid-box .grid-btn img {
    width: 100%;
    height: auto;
}

.grid-box input[type="text"],
.grid-box input[type="number"] {
    width: 90%;
    height: 90%;
    border: 0;
    font-size: 1rem;
    color: #333;
    margin: auto;
}

.grid-box input[type="text"]:focus,
.grid-box input[type="text"]:hover,
.grid-box input[type="number"]:focus,
.grid-box input[type="number"]:hover {
    border: 0;
    outline: 0;
    box-shadow: none;
}

/* 改变占位符的文字颜色 */
.grid-box input::placeholder {
    font-size: 1rem;
    color: #b3b3b3;
}

.grid-box .grid-item.code {
    display: grid;
    grid-template-columns: auto 80px;
    justify-content: stretch;
    align-content: center;
}

.grid-box .grid-item.code .btn {
    color: #FC3A33;
}

.grid-box .grid-item.select-box {
    background-color: transparent;
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: stretch;
    align-content: center;
    column-gap: 1.25rem;
}

.grid-box .grid-item.select-box select {
    font-size: 1rem;
    width: 100%;
    height: 2.5rem;
    background-color: #fff;
    color: #333;
    border: 0;
    padding-left: 1rem;
}

.grid-box .grid-item.select-box .selectDiv {
    width: 100%;
    max-width: 13.5rem;
    height: 2.5rem;
    background-color: #fff;
    border: 0;
    position: relative;
}

.grid-box .grid-item.select-box .selectDiv .value {
    width: 85%;
    height: 2.5rem;
    color: #333;
    line-height: 2.5rem;
    padding-left: 1rem;
    white-space: nowrap;
    overflow: hidden;
    overflow-x: auto;
}

.grid-box .grid-item.select-box .selectDiv i {
    width: 1.1rem;
    height: 1.1rem;
    display: block;
    background: url("./arrow-down.png") center center / 100% auto no-repeat;
    position: absolute;
    top: 50%;
    right: 0.2rem;
    transform: translateY(-50%);
}

.grid-box .grid-item.select-box .selectDiv select option {
    padding: 0.2rem 0;
    font-size: 1.1rem;
}

#tmpSubject {
    width: calc(100% + 1rem);
    height: 19.2rem;
    box-sizing: border-box;
    padding: 0;
    background-color: #fff;
    border-top: 1px solid #333;
    border-right: 1px solid #333;
    border-bottom: 1px solid #333;
    border-left: none;
    box-shadow: 0 0 12px 3px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-flow: column nowrap;
    justify-content: flex-start;
    align-items: center;
    overflow: hidden;
    overflow-y: auto;
    position: absolute;
    top: 2.5rem;
    left: -0.3rem;
    z-index: 9;
}

#tmpSubject.none {
    height: 0;
    border: none;
}

#tmpSubject .option {
    width: 100%;
    height: 2.5rem;
    box-sizing: border-box;
    line-height: 2.5rem;
    color: #333;
    font-size: 1.13rem;
    padding-left: 1.3rem;
}

#tmpSubject .option.selected {
    background-color: #ade1f5;
    color: #fff;
}

#selSubject {
    display: none;
    height: 0;
    position: absolute;
    top: 2.5rem;
    left: 0;
}

.grid-box .grid-item.select-box select:focus,
.grid-box .grid-item.select-box select:hover {
    outline: 0;
}

.grid-box .grid-item .err {
    font-size: 0.8rem;
    color: #FE2932;
    padding: 0.1rem 2rem;
    display: none;
}

.purchase-box {
    width: 100%;
    min-height: 100vh;
    background-image: repeating-linear-gradient(to bottom, #fff 0%, #FFCC35 60%, #FFCC35 100%);
    position: relative;
}

.purchase-box .purchase-btn {
    width: 61.3vw;
    height: 14.7vw;
    position: absolute;
    bottom: 2.53vw;
    left: 50%;
    transform: translateX(-50%);
    overflow: hidden;
    text-indent: -100%;
}

.purchase-box .message {
    width: 82vw;
    height: 18.5vw;
    background-color: #FE2932;
    position: absolute;
    left: 50%;
    bottom: 22.6vw;
    transform: translateX(-50%);
    display: grid;
    grid-template-columns: 17.87vw auto;
    grid-template-rows: 1.8rem 1.2rem 1.2rem;
    justify-content: stretch;
    align-content: start;
    align-items: start;
    column-gap: 1rem;
    row-gap: 0;
}

.purchase-box .message .qrcode {
    width: 17.87vw;
    height: 17.87vw;
    background-color: #fff;
    grid-row-start: span 3;
}

.purchase-box .message .qrcode img {
    width: 100%;
    height: auto;
}

.purchase-box .message .time span {
    font-size: 1.2rem;
    color: #801000;
    font-weight: bold;
    background-color: #fff;
    border-radius: 0.5rem;
    padding: 0.2rem 0.5rem;
}

.purchase-box .message .phone,
.purchase-box .message .address {
    color: #fff;
    align-self: start;
}